osl::PtypeTraits< PKNIGHT > Struct Reference

`#include <ptypeTraits.h>`

## Static Public Member Functions

static const char * | name ()
static const char * | csaName ()

## Static Public Attributes

static const bool | isBasic =false
static const bool | canPromote =false
static const bool | betterToPromote =false
static const Ptype | moveType =GOLD
static const int | moveMask =PtypeTraits<GOLD>::moveMask
static const Ptype | basicType =KNIGHT
static const int | indexMin =PtypeTraits<basicType>::indexMin

## Detailed Description

Definition at line 141 of file ptypeTraits.h.

## Member Function Documentation

## csaName()

const char * osl::PtypeTraits< PKNIGHT >::csaName | ( |  | ) |

inline static

Definition at line 148 of file ptypeTraits.h.

## name()

const char * osl::PtypeTraits< PKNIGHT >::name | ( |  | ) |

inline static

Definition at line 147 of file ptypeTraits.h.

## Member Data Documentation

## basicType

const Ptype osl::PtypeTraits< PKNIGHT >::basicType =KNIGHT

static

Definition at line 150 of file ptypeTraits.h.

## betterToPromote

const bool osl::PtypeTraits< PKNIGHT >::betterToPromote =false

static

Definition at line 145 of file ptypeTraits.h.

## canPromote

const bool osl::PtypeTraits< PKNIGHT >::canPromote =false

static

Definition at line 144 of file ptypeTraits.h.

## indexMin

const int osl::PtypeTraits< PKNIGHT >::indexMin =PtypeTraits<basicType>::indexMin

static

Definition at line 151 of file ptypeTraits.h.

## isBasic

const bool osl::PtypeTraits< PKNIGHT >::isBasic =false

static

Definition at line 143 of file ptypeTraits.h.

## moveMask

const int osl::PtypeTraits< PKNIGHT >::moveMask =PtypeTraits<GOLD>::moveMask

static

Definition at line 149 of file ptypeTraits.h.

## moveType

const Ptype osl::PtypeTraits< PKNIGHT >::moveType =GOLD

static

Definition at line 146 of file ptypeTraits.h.

The documentation for this struct was generated from the following file:

- ptypeTraits.h